package be.iminds.ilabt.jfed.call_log_output;

import org.testng.annotations.Test;

import static org.testng.Assert.*;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.*;

import static org.mockito.Mockito.mock;

public class HtmlLogOutputTest {
    @Test
    public void testHasCompressedReply1a() {
        String positive = "[\n" +
                "[\n" +
                "   {\n" +
                "      \"geni_type\": \"geni_sfa\",\n" +
                "      \"geni_version\": \"3\",\n" +
                "      \"geni_value\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" standalone=\\\"no\\\"?>\\n<signed-credential xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" xsi:noNamespaceSchemaLocation=\\\"http://www.protogeni.net/resources/credential/credential.xsd\\\" xsi:schemaLocation=\\\"http://www.protogeni.net/resources/credential/ext/policy/1 http://www.protogeni.net/resources/credential/ext/policy/1/policy.xsd\\\">\\n  <credential xml:id=\\\"refA495BA2EFCE59447\\\">\\n <type>privilege</type>\\n <serial>1980539</serial>\\n <owner_gid>MIIEDDCCA3WgAwIBAgIDA8aTMA0GCSqGSIb3DQEBBAUAMIG1MQswCQYDVQQGEwJC\\nRTELMAkGA1UECBMCT1YxDjAMBgNVBAcTBUdoZW50MRgwFgYDVQQKEw9pTWluZHMg\\nLSBpbGFiLnQxHjAcBgNVBAsTFUNlcnRpZmljYXRlIEF1dGhvcml0eTEjMCEGA1UE\\nAxMaYm9zcy53YWxsMi5pbGFidC5pbWluZHMuYmUxKjAoBgkqhkiG9w0BCQEWG3Z3\\nYWxsLW9wc0BhdGxhbnRpcy51Z2VudC5iZTAeFw0xNjEwMDYxMjA0NDNaFw0xNzEw\\nMDYxMjA0NDNaMIGyMQswCQYDVQQGEwJCRTELMAkGA1UECBMCT1YxGDAWBgNVBAoT\\nD2lNaW5kcyAtIGlsYWIudDEeMBwGA1UECxMVaW1pbmRzLXdhbGwyLnd2ZGVtZWVy\\nMS0wKwYDVQQDEyRiNzU2MTljYy0xNmI5LTExZTMtOTY2YS0wMDE1MTdiZWNkYzEx\\nLTArBgkqhkiG9w0BCQEWHnd2ZGVtZWVyQHdhbGwyLmlsYWJ0LmltaW5kcy5iZTCB\\nnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEArVTz0gjApvg/7DppuNXRzjAqoWoH\\nwRne7h0aoUxJdbU5EHXWcj5veLutDAtAyVAlw4zwpLEXpCMq3HODwTGqv9hHxTwr\\n3GeuhJsFE8dCD6HHlCpZyJeQ+n13mTzTxKuAXD9VqvMbZeGPPEvnJ6wJ/zMyoQjZ\\nVXimQlvV5bYcNjUCAwEAAaOCASkwggElMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYE\\nFMsaHBcot6inkMpHO28gFslKtnW0MIGQBgNVHREEgYgwgYWGNHVybjpwdWJsaWNp\\nZDpJRE4rd2FsbDIuaWxhYnQuaW1pbmRzLmJlK3VzZXIrd3ZkZW1lZXKBHnd2ZGVt\\nZWVyQHdhbGwyLmlsYWJ0LmltaW5kcy5iZYYtdXJuOnV1aWQ6Yjc1NjE5Y2MtMTZi\\nOS0xMWUzLTk2NmEtMDAxNTE3YmVjZGMxMGMGCCsGAQUFBwEBBFcwVTBTBhRpg8yT\\ngKiYzKjHvbGngICqrteKG4Y7aHR0cHM6Ly93d3cud2FsbDIuaWxhYnQuaW1pbmRz\\nLmJlOjEyMzY5L3Byb3RvZ2VuaS94bWxycGMvc2EwDQYJKoZIhvcNAQEEBQADgYEA\\nkFFfFtNKa8Ey4RIvt/fCB68yv+XPdXbZihu981tEle8GG1F0DESW5UHDjgVemp2M\\nIAGm6SAy4cFS1zLoHOyYV5RGsOn7kLwOS9Bm6HeCun8X1nCNV5sD6ipnD0AZfATl\\nEwQbfzRptRBPxV6JGMtak1NP8+GK5KMXlkboiG/2UMk=\\n</owner_gid>\\n <owner_urn>urn:publicid:IDN+wall2.ilabt.iminds.be+user+wvdemeer</owner_urn>\\n <target_gid>MIIDsDCCAxmgAwIBAgICA/QwDQYJKoZIhvcNAQEEBQAwgbUxCzAJBgNVBAYTAkJF\\nMQswCQYDVQQIEwJPVjEOMAwGA1UEBxMFR2hlbnQxGDAWBgNVBAoTD2lNaW5kcyAt\\nIGlsYWIudDEeMBwGA1UECxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MSMwIQYDVQQD\\nExpib3NzLndhbGwyLmlsYWJ0LmltaW5kcy5iZTEqMCgGCSqGSIb3DQEJARYbdndh\\nbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMB4XDTEzMDkwMjA2NTkyNVoXDTE5MDIy\\nMzA3NTkyNVowgakxCzAJBgNVBAYTAkJFMQswCQYDVQQIEwJPVjEYMBYGA1UEChMP\\naU1pbmRzIC0gaWxhYi50MRgwFgYDVQQLEw9pbWluZHMtd2FsbDIuc2ExLTArBgNV\\nBAMTJDk1YWM1Njk2LTEzYTUtMTFlMy05NjZhLTAwMTUxN2JlY2RjMTEqMCgGCSqG\\nSIb3DQEJARYbdndhbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMIGfMA0GCSqGSIb3\\nDQEBAQUAA4GNADCBiQKBgQCgyCFyx3jrEwbsoXJrlpcyuP4oCNmWGjL0hlYZFoxD\\n1sCgTxVMWIAlDtfuIdNgU98jaoKDJjXsKOZGDBBWo/4IWqISmIB/LmVxY58b5r6e\\n89i4yfuYGvAqm8zpbsnZ958GT6TnhdkWwz90MI2fZXo1Ce1DaR7l0pQhkuTu9li3\\n+wIDAQABo4HYMIHVMB0GA1UdDgQWBBR+oou+gYJEndilQR9BUEkCbU8tgTA+BgNV\\nHREENzA1hjN1cm46cHVibGljaWQ6SUROK3dhbGwyLmlsYWJ0LmltaW5kcy5iZSth\\ndXRob3JpdHkrc2EwDwYDVR0TAQH/BAUwAwEB/zBjBggrBgEFBQcBAQRXMFUwUwYU\\naYPMk4ComMyox72xp4CAqq7XihuGO2h0dHBzOi8vd3d3LndhbGwyLmlsYWJ0Lmlt\\naW5kcy5iZToxMjM2OS9wcm90b2dlbmkveG1scnBjL3NhMA0GCSqGSIb3DQEBBAUA\\nA4GBAI3lK1OEeDOlSTW1haUYkWTCk06xeM4YXUCOQghUQe2lxuNAYYU46BQPn2+4\\nFX6ohz16e/e1y+wcoYn0USo6G79xB6jItUL2dQviE1cLRic/BXzAp5hJxBdvGUAu\\nSEa8hHwPVB57wmU8xpDnIRML9lfVyZPWs+FdscUfOTMTilw4\\n</target_gid>\\n <target_urn>urn:publicid:IDN+wall2.ilabt.iminds.be+authority+sa</target_urn>\\n <uuid>2b9a2cba-7145-11e7-bc5c-001517becdc1</uuid>\\n <expires>2017-07-26T14:25:55Z</expires>\\n  <privileges>\\n<privilege><name>*</name><can_delegate>1</can_delegate></privilege>\\n</privileges></credential>\\n  <signatures>\\n    <Signature xmlns=\\\"http://www.w3.org/2000/09/xmldsig#\\\" xml:id=\\\"Sig_refA495BA2EFCE59447\\\">\\n <SignedInfo>\\n  <CanonicalizationMethod Algorithm=\\\"http://www.w3.org/TR/2001/REC-xml-c14n-20010315\\\"/>\\n  <SignatureMethod Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#rsa-sha1\\\"/>\\n  <Reference URI=\\\"#refA495BA2EFCE59447\\\">\\n    <Transforms>\\n      <Transform Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#enveloped-signature\\\"/>\\n    </Transforms>\\n    <DigestMethod Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#sha1\\\"/>\\n    <DigestValue>uiLUKPddSwaJV3kP8R+Jsm1uBAU=</DigestValue>\\n    </Reference>\\n </SignedInfo>\\n <SignatureValue>GzfexMkZxNCAKvlVAr8Zslixnf2fKFB2y2id57ImnX6h6js7bNdLSAWSkteAKg4M\\nqSIcGVoY4j2evyRnhMIKSn6Jy5EidZWye7zUdmPhF0y8H26GLw6x5Fx0Tvzel752\\n5zhfFB2dBnBh5XS/W8fy4tZ9hzfp/rvS9UTTG1Zbr9E=</SignatureValue>\\n <KeyInfo>\\n  <X509Data>\\n   \\n   \\n   \\n  <X509Certificate>MIIDsDCCAxmgAwIBAgICA/QwDQYJKoZIhvcNAQEEBQAwgbUxCzAJBgNVBAYTAkJF\\nMQswCQYDVQQIEwJPVjEOMAwGA1UEBxMFR2hlbnQxGDAWBgNVBAoTD2lNaW5kcyAt\\nIGlsYWIudDEeMBwGA1UECxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MSMwIQYDVQQD\\nExpib3NzLndhbGwyLmlsYWJ0LmltaW5kcy5iZTEqMCgGCSqGSIb3DQEJARYbdndh\\nbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMB4XDTEzMDkwMjA2NTkyNVoXDTE5MDIy\\nMzA3NTkyNVowgakxCzAJBgNVBAYTAkJFMQswCQYDVQQIEwJPVjEYMBYGA1UEChMP\\naU1pbmRzIC0gaWxhYi50MRgwFgYDVQQLEw9pbWluZHMtd2FsbDIuc2ExLTArBgNV\\nBAMTJDk1YWM1Njk2LTEzYTUtMTFlMy05NjZhLTAwMTUxN2JlY2RjMTEqMCgGCSqG\\nSIb3DQEJARYbdndhbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMIGfMA0GCSqGSIb3\\nDQEBAQUAA4GNADCBiQKBgQCgyCFyx3jrEwbsoXJrlpcyuP4oCNmWGjL0hlYZFoxD\\n1sCgTxVMWIAlDtfuIdNgU98jaoKDJjXsKOZGDBBWo/4IWqISmIB/LmVxY58b5r6e\\n89i4yfuYGvAqm8zpbsnZ958GT6TnhdkWwz90MI2fZXo1Ce1DaR7l0pQhkuTu9li3\\n+wIDAQABo4HYMIHVMB0GA1UdDgQWBBR+oou+gYJEndilQR9BUEkCbU8tgTA+BgNV\\nHREENzA1hjN1cm46cHVibGljaWQ6SUROK3dhbGwyLmlsYWJ0LmltaW5kcy5iZSth\\ndXRob3JpdHkrc2EwDwYDVR0TAQH/BAUwAwEB/zBjBggrBgEFBQcBAQRXMFUwUwYU\\naYPMk4ComMyox72xp4CAqq7XihuGO2h0dHBzOi8vd3d3LndhbGwyLmlsYWJ0Lmlt\\naW5kcy5iZToxMjM2OS9wcm90b2dlbmkveG1scnBjL3NhMA0GCSqGSIb3DQEBBAUA\\nA4GBAI3lK1OEeDOlSTW1haUYkWTCk06xeM4YXUCOQghUQe2lxuNAYYU46BQPn2+4\\nFX6ohz16e/e1y+wcoYn0USo6G79xB6jItUL2dQviE1cLRic/BXzAp5hJxBdvGUAu\\nSEa8hHwPVB57wmU8xpDnIRML9lfVyZPWs+FdscUfOTMTilw4</X509Certificate>\\n<X509SubjectName>emailAddress=vwall-ops@atlantis.ugent.be,CN=95ac5696-13a5-11e3-966a-001517becdc1,OU=iminds-wall2.sa,O=iMinds - ilab.t,ST=OV,C=BE</X509SubjectName>\\n<X509IssuerSerial>\\n<X509IssuerName>emailAddress=vwall-ops@atlantis.ugent.be,CN=boss.wall2.ilabt.iminds.be,OU=Certificate Authority,O=iMinds - ilab.t,L=Ghent,ST=OV,C=BE</X509IssuerName>\\n<X509SerialNumber>1012</X509SerialNumber>\\n</X509IssuerSerial>\\n</X509Data>\\n  <KeyValue>\\n<RSAKeyValue>\\n<Modulus>\\noMghcsd46xMG7KFya5aXMrj+KAjZlhoy9IZWGRaMQ9bAoE8VTFiAJQ7X7iHTYFPf\\nI2qCgyY17CjmRgwQVqP+CFqiEpiAfy5lcWOfG+a+nvPYuMn7mBrwKpvM6W7J2fef\\nBk+k54XZFsM/dDCNn2V6NQntQ2ke5dKUIZLk7vZYt/s=\\n</Modulus>\\n<Exponent>\\nAQAB\\n</Exponent>\\n</RSAKeyValue>\\n</KeyValue>\\n </KeyInfo>\\n</Signature>\\n  </signatures>\\n</signed-credential>\\n\"\n" +
                "      }\n" +
                "   ],\n" +
                "{\n" +
                "   \"geni_available\": true,\n" +
                "   \"geni_rspec_version\": {\n" +
                "          \"type\": \"geni\",\n" +
                "          \"version\": \"3\"\n" +
                "          },\n" +
                "   \"geni_compressed\": true\n" +
                "   }\n" +
                "]";

        assertTrue(HtmlLogOutput.hasCompressedReply(positive));
    }
    @Test
    public void testHasCompressedReply1b() {
        String positive = "[\n" +
                "{\n" +
                "   \"geni_compressed\": \"true\"\n" +
                "}";

        assertTrue(HtmlLogOutput.hasCompressedReply(positive));
    }
    @Test
    public void testHasCompressedReply2() {
        String negative = "[\n" +
                "[\n" +
                "   {\n" +
                "      \"geni_type\": \"geni_sfa\",\n" +
                "      \"geni_version\": \"3\",\n" +
                "      \"geni_value\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" standalone=\\\"no\\\"?>\\n<signed-credential xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" xsi:noNamespaceSchemaLocation=\\\"http://www.protogeni.net/resources/credential/credential.xsd\\\" xsi:schemaLocation=\\\"http://www.protogeni.net/resources/credential/ext/policy/1 http://www.protogeni.net/resources/credential/ext/policy/1/policy.xsd\\\">\\n  <credential xml:id=\\\"refA495BA2EFCE59447\\\">\\n <type>privilege</type>\\n <serial>1980539</serial>\\n <owner_gid>MIIEDDCCA3WgAwIBAgIDA8aTMA0GCSqGSIb3DQEBBAUAMIG1MQswCQYDVQQGEwJC\\nRTELMAkGA1UECBMCT1YxDjAMBgNVBAcTBUdoZW50MRgwFgYDVQQKEw9pTWluZHMg\\nLSBpbGFiLnQxHjAcBgNVBAsTFUNlcnRpZmljYXRlIEF1dGhvcml0eTEjMCEGA1UE\\nAxMaYm9zcy53YWxsMi5pbGFidC5pbWluZHMuYmUxKjAoBgkqhkiG9w0BCQEWG3Z3\\nYWxsLW9wc0BhdGxhbnRpcy51Z2VudC5iZTAeFw0xNjEwMDYxMjA0NDNaFw0xNzEw\\nMDYxMjA0NDNaMIGyMQswCQYDVQQGEwJCRTELMAkGA1UECBMCT1YxGDAWBgNVBAoT\\nD2lNaW5kcyAtIGlsYWIudDEeMBwGA1UECxMVaW1pbmRzLXdhbGwyLnd2ZGVtZWVy\\nMS0wKwYDVQQDEyRiNzU2MTljYy0xNmI5LTExZTMtOTY2YS0wMDE1MTdiZWNkYzEx\\nLTArBgkqhkiG9w0BCQEWHnd2ZGVtZWVyQHdhbGwyLmlsYWJ0LmltaW5kcy5iZTCB\\nnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEArVTz0gjApvg/7DppuNXRzjAqoWoH\\nwRne7h0aoUxJdbU5EHXWcj5veLutDAtAyVAlw4zwpLEXpCMq3HODwTGqv9hHxTwr\\n3GeuhJsFE8dCD6HHlCpZyJeQ+n13mTzTxKuAXD9VqvMbZeGPPEvnJ6wJ/zMyoQjZ\\nVXimQlvV5bYcNjUCAwEAAaOCASkwggElMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYE\\nFMsaHBcot6inkMpHO28gFslKtnW0MIGQBgNVHREEgYgwgYWGNHVybjpwdWJsaWNp\\nZDpJRE4rd2FsbDIuaWxhYnQuaW1pbmRzLmJlK3VzZXIrd3ZkZW1lZXKBHnd2ZGVt\\nZWVyQHdhbGwyLmlsYWJ0LmltaW5kcy5iZYYtdXJuOnV1aWQ6Yjc1NjE5Y2MtMTZi\\nOS0xMWUzLTk2NmEtMDAxNTE3YmVjZGMxMGMGCCsGAQUFBwEBBFcwVTBTBhRpg8yT\\ngKiYzKjHvbGngICqrteKG4Y7aHR0cHM6Ly93d3cud2FsbDIuaWxhYnQuaW1pbmRz\\nLmJlOjEyMzY5L3Byb3RvZ2VuaS94bWxycGMvc2EwDQYJKoZIhvcNAQEEBQADgYEA\\nkFFfFtNKa8Ey4RIvt/fCB68yv+XPdXbZihu981tEle8GG1F0DESW5UHDjgVemp2M\\nIAGm6SAy4cFS1zLoHOyYV5RGsOn7kLwOS9Bm6HeCun8X1nCNV5sD6ipnD0AZfATl\\nEwQbfzRptRBPxV6JGMtak1NP8+GK5KMXlkboiG/2UMk=\\n</owner_gid>\\n <owner_urn>urn:publicid:IDN+wall2.ilabt.iminds.be+user+wvdemeer</owner_urn>\\n <target_gid>MIIDsDCCAxmgAwIBAgICA/QwDQYJKoZIhvcNAQEEBQAwgbUxCzAJBgNVBAYTAkJF\\nMQswCQYDVQQIEwJPVjEOMAwGA1UEBxMFR2hlbnQxGDAWBgNVBAoTD2lNaW5kcyAt\\nIGlsYWIudDEeMBwGA1UECxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MSMwIQYDVQQD\\nExpib3NzLndhbGwyLmlsYWJ0LmltaW5kcy5iZTEqMCgGCSqGSIb3DQEJARYbdndh\\nbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMB4XDTEzMDkwMjA2NTkyNVoXDTE5MDIy\\nMzA3NTkyNVowgakxCzAJBgNVBAYTAkJFMQswCQYDVQQIEwJPVjEYMBYGA1UEChMP\\naU1pbmRzIC0gaWxhYi50MRgwFgYDVQQLEw9pbWluZHMtd2FsbDIuc2ExLTArBgNV\\nBAMTJDk1YWM1Njk2LTEzYTUtMTFlMy05NjZhLTAwMTUxN2JlY2RjMTEqMCgGCSqG\\nSIb3DQEJARYbdndhbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMIGfMA0GCSqGSIb3\\nDQEBAQUAA4GNADCBiQKBgQCgyCFyx3jrEwbsoXJrlpcyuP4oCNmWGjL0hlYZFoxD\\n1sCgTxVMWIAlDtfuIdNgU98jaoKDJjXsKOZGDBBWo/4IWqISmIB/LmVxY58b5r6e\\n89i4yfuYGvAqm8zpbsnZ958GT6TnhdkWwz90MI2fZXo1Ce1DaR7l0pQhkuTu9li3\\n+wIDAQABo4HYMIHVMB0GA1UdDgQWBBR+oou+gYJEndilQR9BUEkCbU8tgTA+BgNV\\nHREENzA1hjN1cm46cHVibGljaWQ6SUROK3dhbGwyLmlsYWJ0LmltaW5kcy5iZSth\\ndXRob3JpdHkrc2EwDwYDVR0TAQH/BAUwAwEB/zBjBggrBgEFBQcBAQRXMFUwUwYU\\naYPMk4ComMyox72xp4CAqq7XihuGO2h0dHBzOi8vd3d3LndhbGwyLmlsYWJ0Lmlt\\naW5kcy5iZToxMjM2OS9wcm90b2dlbmkveG1scnBjL3NhMA0GCSqGSIb3DQEBBAUA\\nA4GBAI3lK1OEeDOlSTW1haUYkWTCk06xeM4YXUCOQghUQe2lxuNAYYU46BQPn2+4\\nFX6ohz16e/e1y+wcoYn0USo6G79xB6jItUL2dQviE1cLRic/BXzAp5hJxBdvGUAu\\nSEa8hHwPVB57wmU8xpDnIRML9lfVyZPWs+FdscUfOTMTilw4\\n</target_gid>\\n <target_urn>urn:publicid:IDN+wall2.ilabt.iminds.be+authority+sa</target_urn>\\n <uuid>2b9a2cba-7145-11e7-bc5c-001517becdc1</uuid>\\n <expires>2017-07-26T14:25:55Z</expires>\\n  <privileges>\\n<privilege><name>*</name><can_delegate>1</can_delegate></privilege>\\n</privileges></credential>\\n  <signatures>\\n    <Signature xmlns=\\\"http://www.w3.org/2000/09/xmldsig#\\\" xml:id=\\\"Sig_refA495BA2EFCE59447\\\">\\n <SignedInfo>\\n  <CanonicalizationMethod Algorithm=\\\"http://www.w3.org/TR/2001/REC-xml-c14n-20010315\\\"/>\\n  <SignatureMethod Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#rsa-sha1\\\"/>\\n  <Reference URI=\\\"#refA495BA2EFCE59447\\\">\\n    <Transforms>\\n      <Transform Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#enveloped-signature\\\"/>\\n    </Transforms>\\n    <DigestMethod Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#sha1\\\"/>\\n    <DigestValue>uiLUKPddSwaJV3kP8R+Jsm1uBAU=</DigestValue>\\n    </Reference>\\n </SignedInfo>\\n <SignatureValue>GzfexMkZxNCAKvlVAr8Zslixnf2fKFB2y2id57ImnX6h6js7bNdLSAWSkteAKg4M\\nqSIcGVoY4j2evyRnhMIKSn6Jy5EidZWye7zUdmPhF0y8H26GLw6x5Fx0Tvzel752\\n5zhfFB2dBnBh5XS/W8fy4tZ9hzfp/rvS9UTTG1Zbr9E=</SignatureValue>\\n <KeyInfo>\\n  <X509Data>\\n   \\n   \\n   \\n  <X509Certificate>MIIDsDCCAxmgAwIBAgICA/QwDQYJKoZIhvcNAQEEBQAwgbUxCzAJBgNVBAYTAkJF\\nMQswCQYDVQQIEwJPVjEOMAwGA1UEBxMFR2hlbnQxGDAWBgNVBAoTD2lNaW5kcyAt\\nIGlsYWIudDEeMBwGA1UECxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MSMwIQYDVQQD\\nExpib3NzLndhbGwyLmlsYWJ0LmltaW5kcy5iZTEqMCgGCSqGSIb3DQEJARYbdndh\\nbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMB4XDTEzMDkwMjA2NTkyNVoXDTE5MDIy\\nMzA3NTkyNVowgakxCzAJBgNVBAYTAkJFMQswCQYDVQQIEwJPVjEYMBYGA1UEChMP\\naU1pbmRzIC0gaWxhYi50MRgwFgYDVQQLEw9pbWluZHMtd2FsbDIuc2ExLTArBgNV\\nBAMTJDk1YWM1Njk2LTEzYTUtMTFlMy05NjZhLTAwMTUxN2JlY2RjMTEqMCgGCSqG\\nSIb3DQEJARYbdndhbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMIGfMA0GCSqGSIb3\\nDQEBAQUAA4GNADCBiQKBgQCgyCFyx3jrEwbsoXJrlpcyuP4oCNmWGjL0hlYZFoxD\\n1sCgTxVMWIAlDtfuIdNgU98jaoKDJjXsKOZGDBBWo/4IWqISmIB/LmVxY58b5r6e\\n89i4yfuYGvAqm8zpbsnZ958GT6TnhdkWwz90MI2fZXo1Ce1DaR7l0pQhkuTu9li3\\n+wIDAQABo4HYMIHVMB0GA1UdDgQWBBR+oou+gYJEndilQR9BUEkCbU8tgTA+BgNV\\nHREENzA1hjN1cm46cHVibGljaWQ6SUROK3dhbGwyLmlsYWJ0LmltaW5kcy5iZSth\\ndXRob3JpdHkrc2EwDwYDVR0TAQH/BAUwAwEB/zBjBggrBgEFBQcBAQRXMFUwUwYU\\naYPMk4ComMyox72xp4CAqq7XihuGO2h0dHBzOi8vd3d3LndhbGwyLmlsYWJ0Lmlt\\naW5kcy5iZToxMjM2OS9wcm90b2dlbmkveG1scnBjL3NhMA0GCSqGSIb3DQEBBAUA\\nA4GBAI3lK1OEeDOlSTW1haUYkWTCk06xeM4YXUCOQghUQe2lxuNAYYU46BQPn2+4\\nFX6ohz16e/e1y+wcoYn0USo6G79xB6jItUL2dQviE1cLRic/BXzAp5hJxBdvGUAu\\nSEa8hHwPVB57wmU8xpDnIRML9lfVyZPWs+FdscUfOTMTilw4</X509Certificate>\\n<X509SubjectName>emailAddress=vwall-ops@atlantis.ugent.be,CN=95ac5696-13a5-11e3-966a-001517becdc1,OU=iminds-wall2.sa,O=iMinds - ilab.t,ST=OV,C=BE</X509SubjectName>\\n<X509IssuerSerial>\\n<X509IssuerName>emailAddress=vwall-ops@atlantis.ugent.be,CN=boss.wall2.ilabt.iminds.be,OU=Certificate Authority,O=iMinds - ilab.t,L=Ghent,ST=OV,C=BE</X509IssuerName>\\n<X509SerialNumber>1012</X509SerialNumber>\\n</X509IssuerSerial>\\n</X509Data>\\n  <KeyValue>\\n<RSAKeyValue>\\n<Modulus>\\noMghcsd46xMG7KFya5aXMrj+KAjZlhoy9IZWGRaMQ9bAoE8VTFiAJQ7X7iHTYFPf\\nI2qCgyY17CjmRgwQVqP+CFqiEpiAfy5lcWOfG+a+nvPYuMn7mBrwKpvM6W7J2fef\\nBk+k54XZFsM/dDCNn2V6NQntQ2ke5dKUIZLk7vZYt/s=\\n</Modulus>\\n<Exponent>\\nAQAB\\n</Exponent>\\n</RSAKeyValue>\\n</KeyValue>\\n </KeyInfo>\\n</Signature>\\n  </signatures>\\n</signed-credential>\\n\"\n" +
                "      }\n" +
                "   ],\n" +
                "{\n" +
                "   \"geni_available\": true,\n" +
                "   \"geni_rspec_version\": {\n" +
                "          \"type\": \"geni\",\n" +
                "          \"version\": \"3\"\n" +
                "          },\n" +
                "   \"geni_compressed\": false\n" +
                "   }\n" +
                "]";

        assertFalse(HtmlLogOutput.hasCompressedReply(negative));
    }
    @Test
    public void testHasCompressedReply3() {
        String negative = "[\n" +
                "[\n" +
                "   {\n" +
                "      \"geni_type\": \"geni_sfa\",\n" +
                "      \"geni_version\": \"3\",\n" +
                "      \"geni_value\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" standalone=\\\"no\\\"?>\\n<signed-credential xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" xsi:noNamespaceSchemaLocation=\\\"http://www.protogeni.net/resources/credential/credential.xsd\\\" xsi:schemaLocation=\\\"http://www.protogeni.net/resources/credential/ext/policy/1 http://www.protogeni.net/resources/credential/ext/policy/1/policy.xsd\\\">\\n  <credential xml:id=\\\"refA495BA2EFCE59447\\\">\\n <type>privilege</type>\\n <serial>1980539</serial>\\n <owner_gid>MIIEDDCCA3WgAwIBAgIDA8aTMA0GCSqGSIb3DQEBBAUAMIG1MQswCQYDVQQGEwJC\\nRTELMAkGA1UECBMCT1YxDjAMBgNVBAcTBUdoZW50MRgwFgYDVQQKEw9pTWluZHMg\\nLSBpbGFiLnQxHjAcBgNVBAsTFUNlcnRpZmljYXRlIEF1dGhvcml0eTEjMCEGA1UE\\nAxMaYm9zcy53YWxsMi5pbGFidC5pbWluZHMuYmUxKjAoBgkqhkiG9w0BCQEWG3Z3\\nYWxsLW9wc0BhdGxhbnRpcy51Z2VudC5iZTAeFw0xNjEwMDYxMjA0NDNaFw0xNzEw\\nMDYxMjA0NDNaMIGyMQswCQYDVQQGEwJCRTELMAkGA1UECBMCT1YxGDAWBgNVBAoT\\nD2lNaW5kcyAtIGlsYWIudDEeMBwGA1UECxMVaW1pbmRzLXdhbGwyLnd2ZGVtZWVy\\nMS0wKwYDVQQDEyRiNzU2MTljYy0xNmI5LTExZTMtOTY2YS0wMDE1MTdiZWNkYzEx\\nLTArBgkqhkiG9w0BCQEWHnd2ZGVtZWVyQHdhbGwyLmlsYWJ0LmltaW5kcy5iZTCB\\nnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEArVTz0gjApvg/7DppuNXRzjAqoWoH\\nwRne7h0aoUxJdbU5EHXWcj5veLutDAtAyVAlw4zwpLEXpCMq3HODwTGqv9hHxTwr\\n3GeuhJsFE8dCD6HHlCpZyJeQ+n13mTzTxKuAXD9VqvMbZeGPPEvnJ6wJ/zMyoQjZ\\nVXimQlvV5bYcNjUCAwEAAaOCASkwggElMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYE\\nFMsaHBcot6inkMpHO28gFslKtnW0MIGQBgNVHREEgYgwgYWGNHVybjpwdWJsaWNp\\nZDpJRE4rd2FsbDIuaWxhYnQuaW1pbmRzLmJlK3VzZXIrd3ZkZW1lZXKBHnd2ZGVt\\nZWVyQHdhbGwyLmlsYWJ0LmltaW5kcy5iZYYtdXJuOnV1aWQ6Yjc1NjE5Y2MtMTZi\\nOS0xMWUzLTk2NmEtMDAxNTE3YmVjZGMxMGMGCCsGAQUFBwEBBFcwVTBTBhRpg8yT\\ngKiYzKjHvbGngICqrteKG4Y7aHR0cHM6Ly93d3cud2FsbDIuaWxhYnQuaW1pbmRz\\nLmJlOjEyMzY5L3Byb3RvZ2VuaS94bWxycGMvc2EwDQYJKoZIhvcNAQEEBQADgYEA\\nkFFfFtNKa8Ey4RIvt/fCB68yv+XPdXbZihu981tEle8GG1F0DESW5UHDjgVemp2M\\nIAGm6SAy4cFS1zLoHOyYV5RGsOn7kLwOS9Bm6HeCun8X1nCNV5sD6ipnD0AZfATl\\nEwQbfzRptRBPxV6JGMtak1NP8+GK5KMXlkboiG/2UMk=\\n</owner_gid>\\n <owner_urn>urn:publicid:IDN+wall2.ilabt.iminds.be+user+wvdemeer</owner_urn>\\n <target_gid>MIIDsDCCAxmgAwIBAgICA/QwDQYJKoZIhvcNAQEEBQAwgbUxCzAJBgNVBAYTAkJF\\nMQswCQYDVQQIEwJPVjEOMAwGA1UEBxMFR2hlbnQxGDAWBgNVBAoTD2lNaW5kcyAt\\nIGlsYWIudDEeMBwGA1UECxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MSMwIQYDVQQD\\nExpib3NzLndhbGwyLmlsYWJ0LmltaW5kcy5iZTEqMCgGCSqGSIb3DQEJARYbdndh\\nbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMB4XDTEzMDkwMjA2NTkyNVoXDTE5MDIy\\nMzA3NTkyNVowgakxCzAJBgNVBAYTAkJFMQswCQYDVQQIEwJPVjEYMBYGA1UEChMP\\naU1pbmRzIC0gaWxhYi50MRgwFgYDVQQLEw9pbWluZHMtd2FsbDIuc2ExLTArBgNV\\nBAMTJDk1YWM1Njk2LTEzYTUtMTFlMy05NjZhLTAwMTUxN2JlY2RjMTEqMCgGCSqG\\nSIb3DQEJARYbdndhbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMIGfMA0GCSqGSIb3\\nDQEBAQUAA4GNADCBiQKBgQCgyCFyx3jrEwbsoXJrlpcyuP4oCNmWGjL0hlYZFoxD\\n1sCgTxVMWIAlDtfuIdNgU98jaoKDJjXsKOZGDBBWo/4IWqISmIB/LmVxY58b5r6e\\n89i4yfuYGvAqm8zpbsnZ958GT6TnhdkWwz90MI2fZXo1Ce1DaR7l0pQhkuTu9li3\\n+wIDAQABo4HYMIHVMB0GA1UdDgQWBBR+oou+gYJEndilQR9BUEkCbU8tgTA+BgNV\\nHREENzA1hjN1cm46cHVibGljaWQ6SUROK3dhbGwyLmlsYWJ0LmltaW5kcy5iZSth\\ndXRob3JpdHkrc2EwDwYDVR0TAQH/BAUwAwEB/zBjBggrBgEFBQcBAQRXMFUwUwYU\\naYPMk4ComMyox72xp4CAqq7XihuGO2h0dHBzOi8vd3d3LndhbGwyLmlsYWJ0Lmlt\\naW5kcy5iZToxMjM2OS9wcm90b2dlbmkveG1scnBjL3NhMA0GCSqGSIb3DQEBBAUA\\nA4GBAI3lK1OEeDOlSTW1haUYkWTCk06xeM4YXUCOQghUQe2lxuNAYYU46BQPn2+4\\nFX6ohz16e/e1y+wcoYn0USo6G79xB6jItUL2dQviE1cLRic/BXzAp5hJxBdvGUAu\\nSEa8hHwPVB57wmU8xpDnIRML9lfVyZPWs+FdscUfOTMTilw4\\n</target_gid>\\n <target_urn>urn:publicid:IDN+wall2.ilabt.iminds.be+authority+sa</target_urn>\\n <uuid>2b9a2cba-7145-11e7-bc5c-001517becdc1</uuid>\\n <expires>2017-07-26T14:25:55Z</expires>\\n  <privileges>\\n<privilege><name>*</name><can_delegate>1</can_delegate></privilege>\\n</privileges></credential>\\n  <signatures>\\n    <Signature xmlns=\\\"http://www.w3.org/2000/09/xmldsig#\\\" xml:id=\\\"Sig_refA495BA2EFCE59447\\\">\\n <SignedInfo>\\n  <CanonicalizationMethod Algorithm=\\\"http://www.w3.org/TR/2001/REC-xml-c14n-20010315\\\"/>\\n  <SignatureMethod Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#rsa-sha1\\\"/>\\n  <Reference URI=\\\"#refA495BA2EFCE59447\\\">\\n    <Transforms>\\n      <Transform Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#enveloped-signature\\\"/>\\n    </Transforms>\\n    <DigestMethod Algorithm=\\\"http://www.w3.org/2000/09/xmldsig#sha1\\\"/>\\n    <DigestValue>uiLUKPddSwaJV3kP8R+Jsm1uBAU=</DigestValue>\\n    </Reference>\\n </SignedInfo>\\n <SignatureValue>GzfexMkZxNCAKvlVAr8Zslixnf2fKFB2y2id57ImnX6h6js7bNdLSAWSkteAKg4M\\nqSIcGVoY4j2evyRnhMIKSn6Jy5EidZWye7zUdmPhF0y8H26GLw6x5Fx0Tvzel752\\n5zhfFB2dBnBh5XS/W8fy4tZ9hzfp/rvS9UTTG1Zbr9E=</SignatureValue>\\n <KeyInfo>\\n  <X509Data>\\n   \\n   \\n   \\n  <X509Certificate>MIIDsDCCAxmgAwIBAgICA/QwDQYJKoZIhvcNAQEEBQAwgbUxCzAJBgNVBAYTAkJF\\nMQswCQYDVQQIEwJPVjEOMAwGA1UEBxMFR2hlbnQxGDAWBgNVBAoTD2lNaW5kcyAt\\nIGlsYWIudDEeMBwGA1UECxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MSMwIQYDVQQD\\nExpib3NzLndhbGwyLmlsYWJ0LmltaW5kcy5iZTEqMCgGCSqGSIb3DQEJARYbdndh\\nbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMB4XDTEzMDkwMjA2NTkyNVoXDTE5MDIy\\nMzA3NTkyNVowgakxCzAJBgNVBAYTAkJFMQswCQYDVQQIEwJPVjEYMBYGA1UEChMP\\naU1pbmRzIC0gaWxhYi50MRgwFgYDVQQLEw9pbWluZHMtd2FsbDIuc2ExLTArBgNV\\nBAMTJDk1YWM1Njk2LTEzYTUtMTFlMy05NjZhLTAwMTUxN2JlY2RjMTEqMCgGCSqG\\nSIb3DQEJARYbdndhbGwtb3BzQGF0bGFudGlzLnVnZW50LmJlMIGfMA0GCSqGSIb3\\nDQEBAQUAA4GNADCBiQKBgQCgyCFyx3jrEwbsoXJrlpcyuP4oCNmWGjL0hlYZFoxD\\n1sCgTxVMWIAlDtfuIdNgU98jaoKDJjXsKOZGDBBWo/4IWqISmIB/LmVxY58b5r6e\\n89i4yfuYGvAqm8zpbsnZ958GT6TnhdkWwz90MI2fZXo1Ce1DaR7l0pQhkuTu9li3\\n+wIDAQABo4HYMIHVMB0GA1UdDgQWBBR+oou+gYJEndilQR9BUEkCbU8tgTA+BgNV\\nHREENzA1hjN1cm46cHVibGljaWQ6SUROK3dhbGwyLmlsYWJ0LmltaW5kcy5iZSth\\ndXRob3JpdHkrc2EwDwYDVR0TAQH/BAUwAwEB/zBjBggrBgEFBQcBAQRXMFUwUwYU\\naYPMk4ComMyox72xp4CAqq7XihuGO2h0dHBzOi8vd3d3LndhbGwyLmlsYWJ0Lmlt\\naW5kcy5iZToxMjM2OS9wcm90b2dlbmkveG1scnBjL3NhMA0GCSqGSIb3DQEBBAUA\\nA4GBAI3lK1OEeDOlSTW1haUYkWTCk06xeM4YXUCOQghUQe2lxuNAYYU46BQPn2+4\\nFX6ohz16e/e1y+wcoYn0USo6G79xB6jItUL2dQviE1cLRic/BXzAp5hJxBdvGUAu\\nSEa8hHwPVB57wmU8xpDnIRML9lfVyZPWs+FdscUfOTMTilw4</X509Certificate>\\n<X509SubjectName>emailAddress=vwall-ops@atlantis.ugent.be,CN=95ac5696-13a5-11e3-966a-001517becdc1,OU=iminds-wall2.sa,O=iMinds - ilab.t,ST=OV,C=BE</X509SubjectName>\\n<X509IssuerSerial>\\n<X509IssuerName>emailAddress=vwall-ops@atlantis.ugent.be,CN=boss.wall2.ilabt.iminds.be,OU=Certificate Authority,O=iMinds - ilab.t,L=Ghent,ST=OV,C=BE</X509IssuerName>\\n<X509SerialNumber>1012</X509SerialNumber>\\n</X509IssuerSerial>\\n</X509Data>\\n  <KeyValue>\\n<RSAKeyValue>\\n<Modulus>\\noMghcsd46xMG7KFya5aXMrj+KAjZlhoy9IZWGRaMQ9bAoE8VTFiAJQ7X7iHTYFPf\\nI2qCgyY17CjmRgwQVqP+CFqiEpiAfy5lcWOfG+a+nvPYuMn7mBrwKpvM6W7J2fef\\nBk+k54XZFsM/dDCNn2V6NQntQ2ke5dKUIZLk7vZYt/s=\\n</Modulus>\\n<Exponent>\\nAQAB\\n</Exponent>\\n</RSAKeyValue>\\n</KeyValue>\\n </KeyInfo>\\n</Signature>\\n  </signatures>\\n</signed-credential>\\n\"\n" +
                "      }\n" +
                "   ],\n" +
                "{\n" +
                "   \"geni_available\": true,\n" +
                "   \"geni_rspec_version\": {\n" +
                "          \"type\": \"geni\",\n" +
                "          \"version\": \"3\"\n" +
                "          },\n" +
                "   }\n" +
                "]";

        assertFalse(HtmlLogOutput.hasCompressedReply(negative));
    }
    @Test
    public void testHasCompressedReply4() {
        assertFalse(HtmlLogOutput.hasCompressedReply(null));
    }
}